Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::BiasedRWLock Class Reference

`#include <BiasedRWLock.h>`

Inheritance diagram for ZThread::BiasedRWLock::

List of all members.

## Public Methods
| BiasedRWLock () throw (Synchronization_Exception)
virtual | ~BiasedRWLock () throw ()
virtual bool | allowReader ()

## Detailed Description

Author:
  Eric Crahen

Date:
  03-10-2001

Version:
  1.3.0

A specialized RWLock that has a bias toward writers. It will prefer writers over readers when many threads are competing for this lock.

See also:
  RWLock

## Constructor & Destructor Documentation

BiasedRWLock ( | ) throw (Synchronization_Exception)`[inline]`

| Create a new RWLock that has a bias toward writers.

~BiasedRWLock ( | ) throw ()`[inline, virtual]`

| Destroy the RWLock

## Member Function Documentation

bool allowReader ( | )`[inline, virtual]`

| Use the internal counters to allow writers access to the lock before readers, regardless of how many there may be. Reimplemented from ZThread::RWLock.

The documentation for this class was generated from the following file:

- BiasedRWLock.h